{
  description = "Brownpaper pastebin";

  outputs = { self, nixpkgs }: rec {
    nixosModules.brownpaper = import ./mod.nix;
    packages =
      let
        pkg = system:
          let
            pkgs = import nixpkgs { inherit system; };
            bp = pkgs.callPackage ./default.nix { inherit pkgs; };
          in
          { brownpaper = bp.client; brownpaper-server = bp.server; };
      in
      {
        "x86_64-linux" = pkg "x86_64-linux";
        "aarch64-linux" = pkg "aarch64-linux";
        "i686-linux" = pkg "i686-linux";
      };
  };
}
